%define dist Gtk2-TrayIcon
Name: perl-Gtk2-TrayIcon
Version: 0.04
Release: alt2

Summary: %dist Perl module
License: LGPL
Group: Development/Perl

Url: http://gtk2-perl.sourceforge.net/
Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/gtk2-perl/%dist-%version.tar.bz2

# Automatically added by buildreq on Tue Mar 20 2007
BuildRequires: gtk2-theme-industrial perl-Cairo-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Gtk2-devel xvfb-run

BuildRequires: glib2-devel libatk-devel libgtk+2-devel libpango-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Glib-devel perl-Gtk2-devel perl-devel pkgconfig xorg-x11-Xvfb xorg-x11-devel xorg-x11-libs xvfb-run

%package devel
Summary: %dist Perl module (development files)
License: LGPL
Group: Development/Perl
Requires: %name = %version-%release

%description
This module allows a Perl developer to embed an arbitrary widget in a
System Tray like the Gnome notification area.

%description devel
This module allows a Perl developer to embed an arbitrary widget in a
System Tray like the Gnome notification area.

This package contains Gtk2-TrayIcon development files and documentation
for developers (overview of internals and internal API reference).

%prep
%setup -q -n %dist-%version

%build
%ifndef _build_display
%def_without test
%endif

EXTRA_BLIBS="%perl_vendor_autolib/Glib/Glib.so %perl_vendor_autolib/Gtk2/Gtk2.so"
%perl_vendor_build

xvfb-run make test

%install
%perl_vendor_install

%files
%doc README
%dir %perl_vendor_archlib/Gtk2
%perl_vendor_archlib/Gtk2/TrayIcon.pm
%perl_vendor_autolib/Gtk2/TrayIcon

%files devel
%doc ChangeLog TODO examples
%perl_vendor_archlib/Gtk2/TrayIcon
%_man3dir/*

%changelog
* Tue Mar 20 2007 Vitaly Lipatov <lav@altlinux.ru> 0.04-alt2
- return from orphaned, cleanup spec, add Source Url
- update buildreq

* Wed Mar 16 2005 LAKostis <lakostis at altlinux.ru> 0.04-alt1.1
- cleanup buildreq/requires.
- add missing requires for -devel package.

* Sun Mar 7 2005 LAKostis <lakostis at altlinux.ru> 0.04-alt1
- first build for Sisyphus
- manual pages not packaged (use perldoc)
- always run tests (by utilizing xvfb-run)
